Package org.opensaml.saml.common.binding.artifact

# Interface SAMLSourceLocationArtifact

All Superinterfaces:
  `SAMLArtifact`

All Known Implementing Classes:
  `SAML1ArtifactType0002`

public interface SAMLSourceLocationArtifact extends SAMLArtifact
A specialization of `SAMLArtifact` which exposes a source location URI.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSourceLocation()`
Gets the source location component of the artifact.

### Methods inherited from interface org.opensaml.saml.common.binding.artifact.SAMLArtifact

`getArtifactBytes, getTypeCode`

## Method Details

### getSourceLocation

@Nonnull String getSourceLocation()
Gets the source location component of the artifact.

Returns:
  source location component of this artifact